{
    "name": "@typemon/serverfull",
    "version": "1.0.0-beta.15",
    "description": "Progressive Server Framework for TypeScript",
    "main": "dist/index.js",
    "types": "dist/index.d.ts",
    "scripts": {
        "test": "jest --no-cache",
        "clean": "rimraf ./*.tgz ./dist ./coverage",
        "lint": "tslint -p ./tsconfig.compile.json",
        "precompile": "npm run clean && npm run lint",
        "compile": "tsc -p ./tsconfig.compile.json",
        "prepublishOnly": "npm run compile",
        "postpublish": "npm run clean",
        "generate-latest-changelog": "conventional-changelog -p angular -i CHANGELOG.md -s -r 1"
    },
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/monster-space-network/typemon/serverfull.git"
    },
    "keywords": [
        "monster-space-network",
        "typemon",
        "serverfull"
    ],
    "author": {
        "name": "Monster Space Network",
        "email": "monsterspace.network@gmail.com",
        "url": "https://gitlab.com/monster-space-network"
    },
    "license": "MIT",
    "dependencies": {
        "@hapi/boom": "^9.0.0",
        "@typemon/check": "^4.0.0",
        "@typemon/dependency-injection": "^3.0.0-beta.16",
        "@typemon/pipeline": "^2.0.0-beta.2",
        "@typemon/reflection": "^4.1.0",
        "@typemon/scope": "^3.0.0",
        "@types/express": "^4.17.2",
        "express": "^4.17.1",
        "reflect-metadata": "^0.1.13"
    },
    "devDependencies": {
        "@typemon/lint-rules": "^1.1.0",
        "@types/jest": "^25.1.2",
        "@types/node": "^12.12.27",
        "conventional-changelog-cli": "^2.0.31",
        "jest": "^25.1.0",
        "rimraf": "^3.0.2",
        "ts-jest": "^25.2.0",
        "ts-node": "^8.6.2",
        "tslint": "^5.20.1",
        "typescript": "^3.7.5"
    },
    "jest": {
        "preset": "ts-jest",
        "globals": {
            "ts-jest": {
                "tsConfig": "tsconfig.spec.json"
            }
        },
        "bail": true,
        "collectCoverage": true
    }
}
